import { TextFieldProps } from '@mui/material';
import { WorkflowCardProps } from '../../components/WorkflowCard/WorkflowCard.types';
import { ErrorManagerProps } from '../../components/Error';
export type CreateAccountScreenProps = WorkflowCardProps & {
    emailLabel?: string;
    initialValue?: string;
    emailValidator?: (email: string) => boolean | string;
    emailTextFieldProps?: TextFieldProps;
    errorDisplayConfig?: ErrorManagerProps;
};
