/// <reference types="react" />
import { ErrorManagerProps } from '../../components/Error';
import { WorkflowCardProps } from '../../components/WorkflowCard/WorkflowCard.types';
import { SuccessScreenProps } from '../SuccessScreen';
export type ForgotPasswordScreenProps = WorkflowCardProps & {
    emailLabel?: string;
    initialEmailValue?: string;
    emailValidator?: (email: string) => boolean | string;
    slots?: {
        SuccessScreen?: (props: SuccessScreenProps) => JSX.Element;
    };
    slotProps?: {
        SuccessScreen?: SuccessScreenProps;
    };
    contactPhone?: string;
    responseTime?: string;
    description?: (responseTime: string) => React.ReactNode;
    title?: string;
    showBackButton?: boolean;
    backButtonLabel?: string;
    canGoBack?: boolean | (() => boolean);
    showNextButton?: boolean;
    nextButtonLabel?: string;
    canGoNext?: boolean | (() => boolean);
    showSuccessScreen?: boolean;
    errorDisplayConfig?: ErrorManagerProps;
};
