"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EulaScreen = void 0;
var react_1 = __importStar(require("react"));
var EulaScreenBase_1 = require("./EulaScreenBase");
var hooks_1 = require("../../hooks");
var contexts_1 = require("../../contexts");
var useErrorManager_1 = require("../../contexts/ErrorContext/useErrorManager");
var EulaScreen = function (props) {
    var _a;
    var t = (0, hooks_1.useLanguageLocale)().t;
    var _b = (0, contexts_1.useRegistrationContext)(), actions = _b.actions, navigate = _b.navigate, routeConfig = _b.routeConfig, language = _b.language;
    var _c = (0, useErrorManager_1.useErrorManager)(), triggerError = _c.triggerError, errorManagerConfig = _c.errorManagerConfig;
    var regWorkflow = (0, contexts_1.useRegistrationWorkflowContext)();
    var nextScreen = regWorkflow.nextScreen, previousScreen = regWorkflow.previousScreen, screenData = regWorkflow.screenData, currentScreen = regWorkflow.currentScreen, totalScreens = regWorkflow.totalScreens;
    var WorkflowCardHeaderProps = props.WorkflowCardHeaderProps, WorkflowCardActionsProps = props.WorkflowCardActionsProps, _d = props.onEulaAcceptedChange, onEulaAcceptedChange = _d === void 0 ? function (accepted) { return accepted; } : _d, eulaContent = props.eulaContent, _e = props.checkboxLabel, checkboxLabel = _e === void 0 ? t('bluiRegistration:REGISTRATION.EULA.AGREE_TERMS') : _e, initialCheckboxValue = props.initialCheckboxValue, _f = props.errorDisplayConfig, errorDisplayConfig = _f === void 0 ? errorManagerConfig : _f;
    var _g = (0, react_1.useState)((_a = screenData.Eula.accepted) !== null && _a !== void 0 ? _a : initialCheckboxValue), eulaAccepted = _g[0], setEulaAccepted = _g[1];
    var _h = (0, react_1.useState)(true), isLoading = _h[0], setIsLoading = _h[1];
    var _j = (0, react_1.useState)(), eulaData = _j[0], setEulaData = _j[1];
    var loadAndCacheEula = (0, react_1.useCallback)(function () { return __awaiter(void 0, void 0, void 0, function () {
        var eulaText, _error_1;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    if (!!eulaContent) return [3 /*break*/, 5];
                    setEulaData(t('bluiRegistration:REGISTRATION.EULA.LOADING'));
                    _a.label = 1;
                case 1:
                    _a.trys.push([1, 3, 4, 5]);
                    return [4 /*yield*/, actions().loadEula(language)];
                case 2:
                    eulaText = _a.sent();
                    setEulaData(eulaText);
                    setIsLoading(false);
                    return [3 /*break*/, 5];
                case 3:
                    _error_1 = _a.sent();
                    // @TODO: we need to handle this failure more gracefully. The user should be able to attempt to reload the EULA and forward progress should be blocked
                    triggerError(_error_1);
                    // @TODO: replace this hardcoded string with a proper error text translation
                    // setEulaData('End user license agreement failed to load');
                    // setEulaData(t('bluiRegistration:REGISTRATION.FAILURE_MESSAGE'));
                    setIsLoading(false);
                    return [3 /*break*/, 5];
                case 4:
                    setIsLoading(false);
                    return [7 /*endfinally*/];
                case 5: return [2 /*return*/];
            }
        });
    }); }, [eulaContent, t, actions, language]);
    var onNext = (0, react_1.useCallback)(function () { return __awaiter(void 0, void 0, void 0, function () {
        var acceptedEula, _error_2;
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    setIsLoading(true);
                    _c.label = 1;
                case 1:
                    _c.trys.push([1, 3, 4, 5]);
                    return [4 /*yield*/, ((_b = (_a = actions()) === null || _a === void 0 ? void 0 : _a.acceptEula) === null || _b === void 0 ? void 0 : _b.call(_a))];
                case 2:
                    acceptedEula = _c.sent();
                    setEulaAccepted(acceptedEula);
                    void nextScreen({
                        screenId: 'Eula',
                        values: { accepted: acceptedEula },
                    });
                    return [3 /*break*/, 5];
                case 3:
                    _error_2 = _c.sent();
                    console.error(_error_2);
                    console.error('Error while updating EULA acceptance...');
                    triggerError(_error_2);
                    return [3 /*break*/, 5];
                case 4:
                    setIsLoading(false);
                    return [7 /*endfinally*/];
                case 5: return [2 /*return*/];
            }
        });
    }); }, [actions, nextScreen, triggerError]);
    var onPrevious = (0, react_1.useCallback)(function () { return __awaiter(void 0, void 0, void 0, function () {
        var acceptedEula, _error_3;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    setIsLoading(true);
                    _a.label = 1;
                case 1:
                    _a.trys.push([1, 3, 4, 5]);
                    return [4 /*yield*/, actions().acceptEula()];
                case 2:
                    acceptedEula = _a.sent();
                    setEulaAccepted(acceptedEula);
                    previousScreen({
                        screenId: 'Eula',
                        values: { accepted: acceptedEula },
                    });
                    return [3 /*break*/, 5];
                case 3:
                    _error_3 = _a.sent();
                    console.error('Error while updating EULA acceptance...');
                    triggerError(_error_3);
                    return [3 /*break*/, 5];
                case 4:
                    setIsLoading(false);
                    return [7 /*endfinally*/];
                case 5: return [2 /*return*/];
            }
        });
    }); }, [actions, previousScreen, triggerError]);
    (0, react_1.useEffect)(function () {
        void loadAndCacheEula();
    }, [loadAndCacheEula]);
    var workflowCardHeaderProps = __assign({ title: t('bluiRegistration:REGISTRATION.STEPS.LICENSE') }, WorkflowCardHeaderProps);
    var workflowCardActionsProps = __assign(__assign({ showNext: true, nextLabel: t('bluiCommon:ACTIONS.NEXT'), canGoNext: true, showPrevious: true, previousLabel: t('bluiCommon:ACTIONS.BACK'), canGoPrevious: true, currentStep: currentScreen, totalSteps: totalScreens }, WorkflowCardActionsProps), { onNext: function () {
            var _a;
            void onNext();
            (_a = WorkflowCardActionsProps === null || WorkflowCardActionsProps === void 0 ? void 0 : WorkflowCardActionsProps.onNext) === null || _a === void 0 ? void 0 : _a.call(WorkflowCardActionsProps);
        }, onPrevious: function () {
            var _a;
            void onPrevious();
            navigate(routeConfig.LOGIN);
            (_a = WorkflowCardActionsProps === null || WorkflowCardActionsProps === void 0 ? void 0 : WorkflowCardActionsProps.onPrevious) === null || _a === void 0 ? void 0 : _a.call(WorkflowCardActionsProps);
        } });
    return (react_1.default.createElement(EulaScreenBase_1.EulaScreenBase, { WorkflowCardHeaderProps: workflowCardHeaderProps, eulaContent: eulaData, WorkflowCardBaseProps: {
            loading: isLoading,
        }, checkboxLabel: checkboxLabel, checkboxProps: { disabled: false }, initialCheckboxValue: eulaAccepted, onEulaAcceptedChange: onEulaAcceptedChange, WorkflowCardActionsProps: workflowCardActionsProps, errorDisplayConfig: errorDisplayConfig }));
};
exports.EulaScreen = EulaScreen;
