/// <reference types="react" />
import { CheckboxProps } from '@mui/material';
import { WorkflowCardProps } from '../../components/WorkflowCard/WorkflowCard.types';
import { ErrorManagerProps } from '../../components/Error';
export type EulaScreenProps = WorkflowCardProps & {
    eulaContent?: string | JSX.Element;
    checkboxLabel?: string;
    checkboxProps?: CheckboxProps;
    htmlEula?: boolean;
    initialCheckboxValue?: boolean;
    onEulaAcceptedChange?: (accepted: boolean) => boolean;
    errorDisplayConfig?: ErrorManagerProps;
};
